# Uses of Class
java.awt.DisplayMode

Packages that use DisplayMode
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.

## Uses of DisplayMode in java.awt

Methods in java.awt that return DisplayMode
Modifier and Type
Method
Description
`DisplayMode`
GraphicsDevice.`getDisplayMode()`
Returns the current display mode of this `GraphicsDevice`.
`DisplayMode[]`
GraphicsDevice.`getDisplayModes()`
Returns all display modes available for this `GraphicsDevice`.
Methods in java.awt with parameters of type DisplayMode
Modifier and Type
Method
Description
`boolean`
DisplayMode.`equals(DisplayMode dm)`
Returns whether the two display modes are equal.
`void`
GraphicsDevice.`setDisplayMode(DisplayMode dm)`
Sets the display mode of this graphics device.